#!/bin/sh

cd "$(dirname "$0")"

./dfu_programmer at32uc3b1256 setfuse bootprot 3
echo "Erasing..."
./dfu_programmer at32uc3b1256 erase
echo "Changing card firmware for 200e USB Firmware Update..."
./dfu_programmer at32uc3b1256 flash --suppress-bootloader-mem --suppress-validation ./TWI_EEPROM.hex
./dfu_programmer at32uc3b1256 flash-user --suppress-bootloader-mem TWI_EEPROM_UserMem.hex
./dfu_programmer at32uc3b1256 setfuse bootprot 1
echo "Restarting card with new firmware..."
./dfu_programmer at32uc3b1256 start
 